/**
 * Copyright 2009-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.geolocation.gwt.client;

import java.util.HashMap;
import java.util.Vector;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

/**
 * The client side stub for the RPC service.
 * @author mancelin
 */
@RemoteServiceRelativePath("city")
public interface CityGetterService extends RemoteService {
    /**
     * The remote method to get cities coordinates in the DB.
     * @return managed cities.
     */
    Vector<HashMap<String, String>> getCities();
    /**
     * @return the managed products.
     */
    Vector<String> getProducts();
    /**
     * Get users for a product.
     * @param filter the filter.
     * @return the number of users.
     */
    Long getUsers(String filter);
}
